<?php
/**
 * Ведение отладочных логов
 */
 
class payqr_logs
{

  /**
   * Добавление записи в лог файл
   *
   * @param $file
   * @param $message
   */
  function log($message, $file_name=false, $line=false)
  {
    if(!ENABLED_LOG)
      return;
    $micro_date = microtime();
    $date_array = explode(" ",$micro_date);
    $date = date("Y-m-d H:i:s",$date_array[1]);
    $message = payqr_base::encode($message);
    if($file_name && $line){
      payqr_base::file_put_contents(LOG_FILE, "\r\n==============" . $date." ".$date_array[0] . "==============\r\n", FILE_APPEND);
      payqr_base::file_put_contents(LOG_FILE, "\r\n====".$file_name." Line: ".$line."=====\r\n", FILE_APPEND);
    }
    else
      payqr_base::file_put_contents(LOG_FILE, "\r\n==============" . $date." ".$date_array[0] . "==============\r\n", FILE_APPEND);
    payqr_base::file_put_contents(LOG_FILE, $message, FILE_APPEND);
  }
} 