<?php
/**
 * Класс конфигурации
 * Подключите этот файл, чтобы обеспечить автозагрузку всех необходимых классов для работы с API PayQR
 */

if (!defined('PAYQR_ROOT')) {
  define('PAYQR_ROOT', dirname(__FILE__) . '/');
  require(PAYQR_ROOT . 'classes/payqr_autoload.php');
}
if (!defined('PAYQR_ERROR_HANDLER')) {
  define('PAYQR_ERROR_HANDLER', dirname(__FILE__) . '/handlers_errors/');
}
if (!defined('PAYQR_HANDLER')) {
  define('PAYQR_HANDLER', dirname(__FILE__) . '/handlers/');
}
// по умолчанию ниже продемонстрированы примеры значений, укажите актуальные значения для своего "Магазина"
define('MERCHANT_ID', ""); // номер "Магазина" из личного кабинета PayQR (например, 000000-00000)
define('SECRET_KEY_IN', ""); // входящий ключ из личного кабинета PayQR (SecretKeyIn), используется в уведомлениях от PayQR (например, RqYAprQyaPRQyap)
define('SECRET_KEY_OUT', ""); // исходящий ключ из личного кабинета PayQR (SecretKeyOut), используется в запросах в PayQR (например, yaPRqyAPRQyAPrq)
define('LOG_FILE', ""); // путь к файлу логов библиотеки PayQR (например, /var/www/payqr/logs/log)
define('ENABLED_LOG', false); // разрешить библиотеке PayQR вести лог
define('MAX_TIME_OUT', 10); // максимальное время ожидания ответа PayQR на запрос интернет-сайта в PayQR
define('CHECK_HEADER', true); // проверять секретный ключ SecretKeyIn в уведомлениях и ответах от PayQR
define('VERSION_API', "1.2"); // версия библиотеки PayQR