/**
 * Изменения библиотеки PayQR всегда осуществляются с сохранением обратной совместимости. Структура библиотеки остается неизменной, поэтому для установки обновленной библиотеки достаточно распаковать ее архив в директорию предыдущей версии библиотеки PayQR (в рамках интернет-сайта или конкретного модуля для CMS). Внимание: при установки обновленной версии библиотеки сохраните файл payqr_config.php вашей текущей версии и всю папку handlers, эти файлы не должны заменяться, иначе подключение к PayQR нужно будет настраивать вновь.
 */


___
Изменения в версии 1.2:
- Улучшена совместимость и исправлены недочеты. Обновлены классы payqr_button.php, payqr_exeption.php, payqr_invoice.php и payqr_logs.php.
- Расширен функционал. Добавлены классы payqr_product.php, payqr_pikpoint.php, payqr_delivery.php. Добавлен классификатор категорий товаров/услуг payqr_classifier.csv.

___
Изменения в версии 1.1:
- Добавлен класс payqr_button.php. Теперь коды кнопок PayQR генерировать и размещать на интернет-сайтах стало еще проще.
- В классы payqr_invoice.php и payqr_revert.php добавлен метод определения режима работы получаемых уведомлений от PayQR ("боевой" или "тестовый").

___
Изменения в версии 1.0.1:
- Добавлен класс payqr_no_curl.php. Теперь для отправки запросов в PayQR наличие cURL на сервере интернет-сайта необязательно, но PayQR все равно крайне рекомендует использовать именно cURL для осуществления запросов в PayQR. Если на вашем сервере отсутствует cURL, обратитесь к своему системному администратору или в службу поддержки хостинги для его активации, также вы можете установить cURL самостоятельно (подробнее http://php.net/manual/ru/curl.installation.php).
- Улучшена система логирования. Теперь логи стали более информативными и подробными.
- Добавлено удаление пробелов при обработке значений переменных из файла конфигурации.